package com.ruoyi.model.service.impl;

import java.util.List;

import com.ruoyi.model.vo.AppCheckImageVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.AppCheckImageMapper;
import com.ruoyi.model.domain.AppCheckImage;
import com.ruoyi.model.service.IAppCheckImageService;

/**
 * 打卡图片Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
@Service
public class AppCheckImageServiceImpl implements IAppCheckImageService 
{
    @Autowired
    private AppCheckImageMapper appCheckImageMapper;

    /**
     * 查询打卡图片
     * 
     * @param checkImageId 打卡图片主键
     * @return 打卡图片
     */
    @Override
    public AppCheckImage selectAppCheckImageByCheckImageId(Long checkImageId)
    {
        return appCheckImageMapper.selectAppCheckImageByCheckImageId(checkImageId);
    }

    /**
     * 查询打卡图片列表
     * 
     * @param appCheckImage 打卡图片
     * @return 打卡图片
     */
    @Override
    public List<AppCheckImage> selectAppCheckImageList(AppCheckImage appCheckImage)
    {
        return appCheckImageMapper.selectAppCheckImageList(appCheckImage);
    }

    /**
     * 新增打卡图片
     * 
     * @param appCheckImage 打卡图片
     * @return 结果
     */
    @Override
    public int insertAppCheckImage(AppCheckImage appCheckImage)
    {
        return appCheckImageMapper.insertAppCheckImage(appCheckImage);
    }

    /**
     * 修改打卡图片
     * 
     * @param appCheckImage 打卡图片
     * @return 结果
     */
    @Override
    public int updateAppCheckImage(AppCheckImage appCheckImage)
    {
        return appCheckImageMapper.updateAppCheckImage(appCheckImage);
    }

    /**
     * 批量删除打卡图片
     * 
     * @param checkImageIds 需要删除的打卡图片主键
     * @return 结果
     */
    @Override
    public int deleteAppCheckImageByCheckImageIds(Long[] checkImageIds)
    {
        return appCheckImageMapper.deleteAppCheckImageByCheckImageIds(checkImageIds);
    }

    /**
     * 删除打卡图片信息
     * 
     * @param checkImageId 打卡图片主键
     * @return 结果
     */
    @Override
    public int deleteAppCheckImageByCheckImageId(Long checkImageId)
    {
        return appCheckImageMapper.deleteAppCheckImageByCheckImageId(checkImageId);
    }

    /**
     * 查询打卡图片及其类型列表
     *
     * @return 打卡图片及其类型集合
     */
    @Override
    public List<AppCheckImageVo> getAppCheckImageList(){
        return appCheckImageMapper.getAppCheckImageList();
    }
}
